require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

Pod::Spec.new do |s|
  s.name         = package['name']
  s.version      = package["version"]
  s.summary      = 'React Native midi player'
  s.description  = package["description"]
  s.homepage     = package['repository']['baseUrl']
  s.license      = package["license"]
  s.authors      = { package['author']['name'] => package['author']['email'] }
  s.platforms    = { :ios => "9.0" }
  s.source       = { :git => package['repository']['baseUrl'], :tag => "#{s.version}" }

  s.source_files = "ios/*.{h,m,swift}"
  s.requires_arc = true
  s.swift_version = '5.0'
  s.dependency "React"
  s.dependency "AudioKit/Core"
end

